// Module émetteur-récepteur 433MHZ - Modulation ask
// programme coté Reception
// D'après l'exemple de la bibliothèque RadioHead
// Tester sur Arduino Uno - Broche data sur D11

#include <RH_ASK.h>
#ifdef RH_HAVE_HARDWARE_SPI
#include <SPI.h> // Pas utilisé mais necessaire pour la compilation
#endif

RH_ASK driver;

void setup()
{
#ifdef RH_HAVE_SERIAL
    Serial.begin(9600);	  // regler la vitesse à 9600 dans le moniteur série
    Serial.println("Communication en attente...");
#endif
    if (!driver.init())
#ifdef RH_HAVE_SERIAL
         Serial.println("init failed"); // problème d'initialisation du driver
#else
	;
#endif
}

void loop()
{
    uint8_t buf[12];
    uint8_t buflen = sizeof(buf);

    if (driver.recv(buf, &buflen))
    {
	int i;

	// Message sans erreur reçu : affichage.
	driver.printBuffer("Reception :", buf, buflen);
  Serial.println("Message ok");
    }
}
