// Module émetteur-récepteur 433MHZ - Modulation ask
// D'après l'exemple de la bibliothèque RadioHead
// Tester sur Arduino Uno - Broche data sur D12

#include <RH_ASK.h>
#ifdef RH_HAVE_HARDWARE_SPI
#include <SPI.h> // Pas utilisé mais necessaire pour la compilation
#endif

RH_ASK driver;

void setup()
{
#ifdef RH_HAVE_SERIAL
    Serial.begin(9600);	  // Pour affichage partie émission
    Serial.println("Début de transmission");
#endif
    if (!driver.init())
#ifdef RH_HAVE_SERIAL
         Serial.println("init failed"); //problème à l'initialisation du driver
#else
	;
#endif
}

void loop()
{
    const char *msg = "Mars Insight";

    driver.send((uint8_t *)msg, strlen(msg));
    driver.waitPacketSent();
    delay(200);
}
